
From: Matt Porter <mporter@kernel.crashing.org>

We'd like to get a uImage when just using 'make' on many targets.  After
some discussion, it made sense to simply add uImage to the default targets
since it adds minimal build overhead and will work on all platforms.  Also,
fix a dependency in the boot stuff.

Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/Makefile           |    2 +-
 25-akpm/arch/ppc/boot/simple/misc.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/boot/simple/misc.c~ppc32-add-uimage-to-default-targets arch/ppc/boot/simple/misc.c
--- 25/arch/ppc/boot/simple/misc.c~ppc32-add-uimage-to-default-targets	Thu Dec 16 15:31:30 2004
+++ 25-akpm/arch/ppc/boot/simple/misc.c	Thu Dec 16 15:31:30 2004
@@ -102,7 +102,7 @@ decompress_kernel(unsigned long load_add
 	com_port = serial_init(0, NULL);
 #endif
 
-#ifdef CONFIG_44x
+#if defined(CONFIG_44x) && defined(PPC44x_EMAC0_MR0)
 	/* Reset MAL */
 	mtdcr(DCRN_MALCR(DCRN_MAL_BASE), MALCR_MMSR);
 	/* Wait for reset */
diff -puN arch/ppc/Makefile~ppc32-add-uimage-to-default-targets arch/ppc/Makefile
--- 25/arch/ppc/Makefile~ppc32-add-uimage-to-default-targets	Thu Dec 16 15:31:30 2004
+++ 25-akpm/arch/ppc/Makefile	Thu Dec 16 15:31:30 2004
@@ -71,7 +71,7 @@ BOOT_TARGETS = zImage zImage.initrd znet
 
 .PHONY: $(BOOT_TARGETS)
 
-all: zImage
+all: uImage zImage
 
 CPPFLAGS_vmlinux.lds	:= -Upowerpc
 
_
